Subject: [TLS] Re: New Liaison Statement, "Liaison communication to IETF regarding draft-ietf-tls-mlkem"
From: Muhammad Usama Sardar <[email-masked]>
To: Robert Stacey <[email-masked]>, Peter Yee <[email-masked]>
Cc: Transport Layer Security Discussion List <[email-masked]>, Sean Turner <[email-masked]>
Date: Thu, 2 Apr 2026 21:27:30 +0200
List-Id: "This is the mailing list for the Transport Layer Security working group of the IETF." <tls.ietf.org>

Dear Robert and Peter,

Thank you for sharing IEEE 802.11 WG position.

> The IEEE 802.11 Working Group would like to express support for publication of draft-ietf-tls-mlkem as an RFC with its definition of key establishment options that use pure ML-KEM.

I was actually hoping to see some /technical rationale/ for support of 
publication. The attachment to the LS just repeats the same statement. 
Am I missing something? If not, may I kindly ask if you could possibly 
enlighten us with technical reasons behind this support? In particular, 
has IEEE 802.11 WG done some research, such as cryptanalysis? Pointers 
to the analysis would be very helpful.

Moreover, was the IEEE 802.11 WG aware of this recent draft [0]? In the 
light of this, I am curious if IEEE 802.11 WG still believes there is 
/real need/ for RFC.

Finally, I would like to know if IEEE 802.11 WG position is that this 
RFC should be published independent of recommending hybrids [1]?

Looking forward to more insights.

Thank you!

Best regards,

-Usama

[0] 
https://datatracker.ietf.org/doc/draft-barnes-tls-this-could-have-been-an-email/

[1] https://datatracker.ietf.org/doc/draft-usama-tls-ecdhe-mlkem-update/